## GtkFileChooserDialog GtkFileChooserDialog |

## Functions

GtkWidget * | gtk_file_chooser_dialog_new ()
GtkWidget * | gtk_file_chooser_dialog_new_with_backend ()

## Types and Values

struct | GtkFileChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkFileChooserDialog

## Implemented Interfaces

GtkFileChooserDialog implements AtkImplementorIface, GtkBuildable and GtkFileChooser.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_file_chooser_dialog_new ()

    GtkWidget *
    gtk_file_chooser_dialog_new (const gchar *title,
                                 GtkWindow *parent,
                                 GtkFileChooserAction action,
                                 const gchar *first_button_text,
                                 ...);

Creates a new GtkFileChooserDialog. This function is analogous to `gtk_dialog_new_with_buttons()`.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`. | [allow-none]
action | Open or save mode for the dialog |
first_button_text | stock ID or text to go in the first button, or `NULL`. | [allow-none]
Varargs | response ID for the first button, then additional (button, id) pairs, ending with `NULL` |

#### Returns

a new GtkFileChooserDialog

Since: 2.4

### gtk_file_chooser_dialog_new_with_backend ()

    GtkWidget *
    gtk_file_chooser_dialog_new_with_backend
                                   (const gchar *title,
                                    GtkWindow *parent,
                                    GtkFileChooserAction action,
                                    const gchar *backend,
                                    const gchar *first_button_text,
                                    ...);

`gtk_file_chooser_dialog_new_with_backend` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `gtk_file_chooser_dialog_new()` instead.

Creates a new GtkFileChooserDialog with a specified backend. This is especially useful if you use `gtk_file_chooser_set_local_only()` to allow non-local files and you use a more expressive vfs, such as gnome-vfs, to load files.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`. | [allow-none]
action | Open or save mode for the dialog |
backend | The name of the specific filesystem backend to use. |
first_button_text | stock ID or text to go in the first button, or `NULL`. | [allow-none]
Varargs | response ID for the first button, then additional (button, id) pairs, ending with `NULL` |

#### Returns

a new GtkFileChooserDialog

Since: 2.4

## Types and Values

### struct GtkFileChooserDialog

    struct GtkFileChooserDialog;